### Constructor

# Foundry InputFont new

#### Declaration [src]

    FoundryInput*
    foundry_input_font_new (
      const char* title,
      const char* subtitle,
      FoundryInputValidator* validator,
      const char* value,
      gboolean monospace
    )

#### Description

No description available.

#### Parameters

`title`

  Type: `const char*`

  The title of the input.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`subtitle`

  Type: `const char*`

  Optional subtitle.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`validator`

  Type: `FoundryInputValidator`

  Optional validator.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`value`

  Type: `const char*`

  Optional initial value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`monospace`

  Type: `gboolean`

  If only monospace fonts should be choosen.

#### Return value

Type: `FoundryInput`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.